Commits

Aaron Lifton  committed 00d1a56

init

  • Participants

Comments (0)

Files changed (540)

File .DS_Store

Binary file added.

File .git/.DS_Store

Binary file added.

File .git/COMMIT_EDITMSG

+idea

File .git/FETCH_HEAD

+52ff8ba02a57f3f3e25321719568d15cb27b7e29		branch 'master' of https://github.com/aaronlifton/scala_scripts
+ref: refs/heads/master

File .git/ORIG_HEAD

+ae84daffa52ae6f3c7ece4e346cb1cb9a4ba052f
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+	ignorecase = true
+	precomposeunicode = false
+[remote "origin"]
+	url = https://github.com/aaronlifton/scala_scripts.git
+	fetch = +refs/heads/*:refs/remotes/origin/*
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master

File .git/description

+Unnamed repository; edit this file 'description' to name the repository.

File .git/hooks/applypatch-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:

File .git/hooks/commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

File .git/hooks/post-update.sample

+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

File .git/hooks/pre-applypatch.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:

File .git/hooks/pre-commit.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ascii filenames set this variable to true.
+allownonascii=$(git config hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ascii filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	echo "Error: Attempt to add a non-ascii file name."
+	echo
+	echo "This can cause problems if you want to work"
+	echo "with people on other platforms."
+	echo
+	echo "To be portable it is advisable to rename the file ..."
+	echo
+	echo "If you know what you are doing you can disable this"
+	echo "check using:"
+	echo
+	echo "  git config hooks.allownonascii true"
+	echo
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

File .git/hooks/pre-rebase.sample

+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".

File .git/hooks/prepare-commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   /usr/bin/perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

File .git/hooks/update.sample

+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

File .git/index

Binary file added.

File .git/info/exclude

+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

File .git/logs/.DS_Store

Binary file added.

File .git/logs/HEAD

+0000000000000000000000000000000000000000 9f9be9ea56232e49c161b51d4979860dabf85101 Aaron Lifton <theflubba@gmail.com> 1363820964 -0400	commit (initial): scalaaaa
+9f9be9ea56232e49c161b51d4979860dabf85101 02f5faa4d4c50bcf9a2a5511000689c61bf94ac9 Aaron Lifton <theflubba@gmail.com> 1363823786 -0400	commit: code refactor
+02f5faa4d4c50bcf9a2a5511000689c61bf94ac9 863ed68f0bac7198f1c298a8b22032d1a8268f83 Aaron Lifton <theflubba@gmail.com> 1363823813 -0400	commit: code refactor
+863ed68f0bac7198f1c298a8b22032d1a8268f83 50b6625b3856a72192435ab41a94dfb1098b7cd5 Aaron Lifton <theflubba@gmail.com> 1363881616 -0400	commit: refactor
+50b6625b3856a72192435ab41a94dfb1098b7cd5 08bd0fb0617f629416d2337f97c5d7cc41ddd3d4 Aaron Lifton <theflubba@gmail.com> 1363881628 -0400	commit: refactor
+08bd0fb0617f629416d2337f97c5d7cc41ddd3d4 07c3e9e3e06fd013170101f756ae93b4a36b35d6 Aaron Lifton <theflubba@gmail.com> 1363887449 -0400	commit: output
+07c3e9e3e06fd013170101f756ae93b4a36b35d6 a17a540ad5bd5a6f49a8f35d10cd992dfc2ec28a Aaron Lifton <theflubba@gmail.com> 1363889586 -0400	commit: spacing
+a17a540ad5bd5a6f49a8f35d10cd992dfc2ec28a af9be66915854e44fee83acb01db0f1709fc9bfd Aaron Lifton <theflubba@gmail.com> 1364269025 -0400	commit: commit
+af9be66915854e44fee83acb01db0f1709fc9bfd 196997b61fb5a3dc829bed55e111b9bf4c20758f Aaron Lifton <theflubba@gmail.com> 1365441641 -0400	commit: commit
+196997b61fb5a3dc829bed55e111b9bf4c20758f fa5b32cbf309f98bd218b1589760543285162073 Aaron Lifton <theflubba@gmail.com> 1365446839 -0400	commit: commit
+fa5b32cbf309f98bd218b1589760543285162073 82a51e5f87443801274319b84746f999747b72ee Aaron Lifton <theflubba@gmail.com> 1365448094 -0400	commit: commit
+82a51e5f87443801274319b84746f999747b72ee 8885a1b177744780cac9af705be9a10b2830ed8f Aaron Lifton <theflubba@gmail.com> 1365448697 -0400	commit: commit
+8885a1b177744780cac9af705be9a10b2830ed8f 5086bc81ee1d670b655815fecd3de517f997fb3d Aaron Lifton <theflubba@gmail.com> 1365452150 -0400	commit: commit
+5086bc81ee1d670b655815fecd3de517f997fb3d ebae3dd8618673f287d6b3f32ca86d0d56e882e8 Aaron Lifton <theflubba@gmail.com> 1365453671 -0400	commit: commit
+ebae3dd8618673f287d6b3f32ca86d0d56e882e8 a448f7867839c66d41481f82ce756604318ae644 Aaron Lifton <theflubba@gmail.com> 1365459809 -0400	commit: commit
+a448f7867839c66d41481f82ce756604318ae644 466c04077cd1d921b8cacf68f8cf6d871fef6d93 Aaron Lifton <theflubba@gmail.com> 1365460967 -0400	commit: commit
+466c04077cd1d921b8cacf68f8cf6d871fef6d93 d5d414ccb26bb5523f6a76a1e9956d7df00fa254 Aaron Lifton <theflubba@gmail.com> 1365467029 -0400	commit: commit
+d5d414ccb26bb5523f6a76a1e9956d7df00fa254 7aeb69d637137f56951f0ecba5647011d8099e2c Aaron Lifton <theflubba@gmail.com> 1365515889 -0400	commit: commit
+7aeb69d637137f56951f0ecba5647011d8099e2c cb38a56781b4f5a55de3cf474acba89736f6460e Aaron Lifton <theflubba@gmail.com> 1365517580 -0400	commit: commit
+cb38a56781b4f5a55de3cf474acba89736f6460e 9c56228a1acaf00971e4eedebe75a7420d76f60d Aaron Lifton <theflubba@gmail.com> 1365517667 -0400	commit: commit
+9c56228a1acaf00971e4eedebe75a7420d76f60d 51d1bfb2aa36aae8389da34e015d18c3c930bb29 Aaron Lifton <theflubba@gmail.com> 1365521808 -0400	commit: commit
+51d1bfb2aa36aae8389da34e015d18c3c930bb29 03310eee765fda3c8f4d7cbf9789e73def69730e Aaron Lifton <theflubba@gmail.com> 1365531500 -0400	commit: commit
+03310eee765fda3c8f4d7cbf9789e73def69730e 5ec6cdaa063c310198aed278da041019d6001d7f Aaron Lifton <theflubba@gmail.com> 1365532996 -0400	commit: commit
+5ec6cdaa063c310198aed278da041019d6001d7f 01c7a19a9091d55a741f0e27bd2684e7f33d08f5 Aaron Lifton <theflubba@gmail.com> 1365537772 -0400	commit: commit
+01c7a19a9091d55a741f0e27bd2684e7f33d08f5 2c40671f4d341426bd69d3b6c761bb1fb12dcc63 Aaron Lifton <theflubba@gmail.com> 1365538529 -0400	commit: commit
+2c40671f4d341426bd69d3b6c761bb1fb12dcc63 f1b81a6f89bc3c958ffa4abb59bf59d503499db6 Aaron Lifton <theflubba@gmail.com> 1365555896 -0400	commit: commit
+f1b81a6f89bc3c958ffa4abb59bf59d503499db6 83b6e82f2ede1d29a3f6bd63edd37561324e2e2b Aaron Lifton <theflubba@gmail.com> 1365556717 -0400	commit: commit
+83b6e82f2ede1d29a3f6bd63edd37561324e2e2b 11c57b43200bdbd9f8fa61b3418e30e54ee9d601 Aaron Lifton <theflubba@gmail.com> 1365560762 -0400	commit: commit
+11c57b43200bdbd9f8fa61b3418e30e54ee9d601 9f661b78df9328d15eaff8ed1f4a1cc648aef99e Aaron Lifton <theflubba@gmail.com> 1365601969 -0400	commit: commit
+9f661b78df9328d15eaff8ed1f4a1cc648aef99e 4fbc0c01059665881c1be54e41dbce1f4d8b778d Aaron Lifton <theflubba@gmail.com> 1365604245 -0400	commit: commit
+4fbc0c01059665881c1be54e41dbce1f4d8b778d c956159fa651f258a74bf3cf7290d7a608808a23 Aaron Lifton <theflubba@gmail.com> 1365604652 -0400	commit: commit
+c956159fa651f258a74bf3cf7290d7a608808a23 ff1c451db4375322f094513ce4d9b3172ef8e386 Aaron Lifton <theflubba@gmail.com> 1365622130 -0400	commit: commit
+ff1c451db4375322f094513ce4d9b3172ef8e386 52ff8ba02a57f3f3e25321719568d15cb27b7e29 Aaron Lifton <theflubba@gmail.com> 1365646480 -0400	commit: commit
+52ff8ba02a57f3f3e25321719568d15cb27b7e29 ae84daffa52ae6f3c7ece4e346cb1cb9a4ba052f Aaron Lifton <theflubba@gmail.com> 1365661048 -0400	commit: idea

File .git/logs/refs/heads/master

+0000000000000000000000000000000000000000 9f9be9ea56232e49c161b51d4979860dabf85101 Aaron Lifton <theflubba@gmail.com> 1363820964 -0400	commit (initial): scalaaaa
+9f9be9ea56232e49c161b51d4979860dabf85101 02f5faa4d4c50bcf9a2a5511000689c61bf94ac9 Aaron Lifton <theflubba@gmail.com> 1363823786 -0400	commit: code refactor
+02f5faa4d4c50bcf9a2a5511000689c61bf94ac9 863ed68f0bac7198f1c298a8b22032d1a8268f83 Aaron Lifton <theflubba@gmail.com> 1363823813 -0400	commit: code refactor
+863ed68f0bac7198f1c298a8b22032d1a8268f83 50b6625b3856a72192435ab41a94dfb1098b7cd5 Aaron Lifton <theflubba@gmail.com> 1363881616 -0400	commit: refactor
+50b6625b3856a72192435ab41a94dfb1098b7cd5 08bd0fb0617f629416d2337f97c5d7cc41ddd3d4 Aaron Lifton <theflubba@gmail.com> 1363881628 -0400	commit: refactor
+08bd0fb0617f629416d2337f97c5d7cc41ddd3d4 07c3e9e3e06fd013170101f756ae93b4a36b35d6 Aaron Lifton <theflubba@gmail.com> 1363887449 -0400	commit: output
+07c3e9e3e06fd013170101f756ae93b4a36b35d6 a17a540ad5bd5a6f49a8f35d10cd992dfc2ec28a Aaron Lifton <theflubba@gmail.com> 1363889586 -0400	commit: spacing
+a17a540ad5bd5a6f49a8f35d10cd992dfc2ec28a af9be66915854e44fee83acb01db0f1709fc9bfd Aaron Lifton <theflubba@gmail.com> 1364269025 -0400	commit: commit
+af9be66915854e44fee83acb01db0f1709fc9bfd 196997b61fb5a3dc829bed55e111b9bf4c20758f Aaron Lifton <theflubba@gmail.com> 1365441641 -0400	commit: commit
+196997b61fb5a3dc829bed55e111b9bf4c20758f fa5b32cbf309f98bd218b1589760543285162073 Aaron Lifton <theflubba@gmail.com> 1365446839 -0400	commit: commit
+fa5b32cbf309f98bd218b1589760543285162073 82a51e5f87443801274319b84746f999747b72ee Aaron Lifton <theflubba@gmail.com> 1365448094 -0400	commit: commit
+82a51e5f87443801274319b84746f999747b72ee 8885a1b177744780cac9af705be9a10b2830ed8f Aaron Lifton <theflubba@gmail.com> 1365448697 -0400	commit: commit
+8885a1b177744780cac9af705be9a10b2830ed8f 5086bc81ee1d670b655815fecd3de517f997fb3d Aaron Lifton <theflubba@gmail.com> 1365452150 -0400	commit: commit
+5086bc81ee1d670b655815fecd3de517f997fb3d ebae3dd8618673f287d6b3f32ca86d0d56e882e8 Aaron Lifton <theflubba@gmail.com> 1365453671 -0400	commit: commit
+ebae3dd8618673f287d6b3f32ca86d0d56e882e8 a448f7867839c66d41481f82ce756604318ae644 Aaron Lifton <theflubba@gmail.com> 1365459809 -0400	commit: commit
+a448f7867839c66d41481f82ce756604318ae644 466c04077cd1d921b8cacf68f8cf6d871fef6d93 Aaron Lifton <theflubba@gmail.com> 1365460967 -0400	commit: commit
+466c04077cd1d921b8cacf68f8cf6d871fef6d93 d5d414ccb26bb5523f6a76a1e9956d7df00fa254 Aaron Lifton <theflubba@gmail.com> 1365467029 -0400	commit: commit
+d5d414ccb26bb5523f6a76a1e9956d7df00fa254 7aeb69d637137f56951f0ecba5647011d8099e2c Aaron Lifton <theflubba@gmail.com> 1365515889 -0400	commit: commit
+7aeb69d637137f56951f0ecba5647011d8099e2c cb38a56781b4f5a55de3cf474acba89736f6460e Aaron Lifton <theflubba@gmail.com> 1365517580 -0400	commit: commit
+cb38a56781b4f5a55de3cf474acba89736f6460e 9c56228a1acaf00971e4eedebe75a7420d76f60d Aaron Lifton <theflubba@gmail.com> 1365517667 -0400	commit: commit
+9c56228a1acaf00971e4eedebe75a7420d76f60d 51d1bfb2aa36aae8389da34e015d18c3c930bb29 Aaron Lifton <theflubba@gmail.com> 1365521808 -0400	commit: commit
+51d1bfb2aa36aae8389da34e015d18c3c930bb29 03310eee765fda3c8f4d7cbf9789e73def69730e Aaron Lifton <theflubba@gmail.com> 1365531500 -0400	commit: commit
+03310eee765fda3c8f4d7cbf9789e73def69730e 5ec6cdaa063c310198aed278da041019d6001d7f Aaron Lifton <theflubba@gmail.com> 1365532996 -0400	commit: commit
+5ec6cdaa063c310198aed278da041019d6001d7f 01c7a19a9091d55a741f0e27bd2684e7f33d08f5 Aaron Lifton <theflubba@gmail.com> 1365537772 -0400	commit: commit
+01c7a19a9091d55a741f0e27bd2684e7f33d08f5 2c40671f4d341426bd69d3b6c761bb1fb12dcc63 Aaron Lifton <theflubba@gmail.com> 1365538529 -0400	commit: commit
+2c40671f4d341426bd69d3b6c761bb1fb12dcc63 f1b81a6f89bc3c958ffa4abb59bf59d503499db6 Aaron Lifton <theflubba@gmail.com> 1365555896 -0400	commit: commit
+f1b81a6f89bc3c958ffa4abb59bf59d503499db6 83b6e82f2ede1d29a3f6bd63edd37561324e2e2b Aaron Lifton <theflubba@gmail.com> 1365556717 -0400	commit: commit
+83b6e82f2ede1d29a3f6bd63edd37561324e2e2b 11c57b43200bdbd9f8fa61b3418e30e54ee9d601 Aaron Lifton <theflubba@gmail.com> 1365560762 -0400	commit: commit
+11c57b43200bdbd9f8fa61b3418e30e54ee9d601 9f661b78df9328d15eaff8ed1f4a1cc648aef99e Aaron Lifton <theflubba@gmail.com> 1365601969 -0400	commit: commit
+9f661b78df9328d15eaff8ed1f4a1cc648aef99e 4fbc0c01059665881c1be54e41dbce1f4d8b778d Aaron Lifton <theflubba@gmail.com> 1365604245 -0400	commit: commit
+4fbc0c01059665881c1be54e41dbce1f4d8b778d c956159fa651f258a74bf3cf7290d7a608808a23 Aaron Lifton <theflubba@gmail.com> 1365604652 -0400	commit: commit
+c956159fa651f258a74bf3cf7290d7a608808a23 ff1c451db4375322f094513ce4d9b3172ef8e386 Aaron Lifton <theflubba@gmail.com> 1365622130 -0400	commit: commit
+ff1c451db4375322f094513ce4d9b3172ef8e386 52ff8ba02a57f3f3e25321719568d15cb27b7e29 Aaron Lifton <theflubba@gmail.com> 1365646480 -0400	commit: commit
+52ff8ba02a57f3f3e25321719568d15cb27b7e29 ae84daffa52ae6f3c7ece4e346cb1cb9a4ba052f Aaron Lifton <theflubba@gmail.com> 1365661048 -0400	commit: idea

File .git/logs/refs/remotes/origin/master

+0000000000000000000000000000000000000000 9f9be9ea56232e49c161b51d4979860dabf85101 Aaron Lifton <theflubba@gmail.com> 1363820984 -0400	update by push
+9f9be9ea56232e49c161b51d4979860dabf85101 02f5faa4d4c50bcf9a2a5511000689c61bf94ac9 Aaron Lifton <theflubba@gmail.com> 1363823789 -0400	update by push
+02f5faa4d4c50bcf9a2a5511000689c61bf94ac9 863ed68f0bac7198f1c298a8b22032d1a8268f83 Aaron Lifton <theflubba@gmail.com> 1363823816 -0400	update by push
+863ed68f0bac7198f1c298a8b22032d1a8268f83 08bd0fb0617f629416d2337f97c5d7cc41ddd3d4 Aaron Lifton <theflubba@gmail.com> 1363881631 -0400	update by push
+08bd0fb0617f629416d2337f97c5d7cc41ddd3d4 07c3e9e3e06fd013170101f756ae93b4a36b35d6 Aaron Lifton <theflubba@gmail.com> 1363887451 -0400	update by push
+07c3e9e3e06fd013170101f756ae93b4a36b35d6 a17a540ad5bd5a6f49a8f35d10cd992dfc2ec28a Aaron Lifton <theflubba@gmail.com> 1363889592 -0400	update by push
+a17a540ad5bd5a6f49a8f35d10cd992dfc2ec28a af9be66915854e44fee83acb01db0f1709fc9bfd Aaron Lifton <theflubba@gmail.com> 1364269026 -0400	update by push
+af9be66915854e44fee83acb01db0f1709fc9bfd 196997b61fb5a3dc829bed55e111b9bf4c20758f Aaron Lifton <theflubba@gmail.com> 1365441642 -0400	update by push
+196997b61fb5a3dc829bed55e111b9bf4c20758f fa5b32cbf309f98bd218b1589760543285162073 Aaron Lifton <theflubba@gmail.com> 1365446841 -0400	update by push
+fa5b32cbf309f98bd218b1589760543285162073 82a51e5f87443801274319b84746f999747b72ee Aaron Lifton <theflubba@gmail.com> 1365448096 -0400	update by push
+82a51e5f87443801274319b84746f999747b72ee 8885a1b177744780cac9af705be9a10b2830ed8f Aaron Lifton <theflubba@gmail.com> 1365448698 -0400	update by push
+8885a1b177744780cac9af705be9a10b2830ed8f 5086bc81ee1d670b655815fecd3de517f997fb3d Aaron Lifton <theflubba@gmail.com> 1365452152 -0400	update by push
+5086bc81ee1d670b655815fecd3de517f997fb3d ebae3dd8618673f287d6b3f32ca86d0d56e882e8 Aaron Lifton <theflubba@gmail.com> 1365453673 -0400	update by push
+ebae3dd8618673f287d6b3f32ca86d0d56e882e8 a448f7867839c66d41481f82ce756604318ae644 Aaron Lifton <theflubba@gmail.com> 1365459811 -0400	update by push
+a448f7867839c66d41481f82ce756604318ae644 466c04077cd1d921b8cacf68f8cf6d871fef6d93 Aaron Lifton <theflubba@gmail.com> 1365460969 -0400	update by push
+466c04077cd1d921b8cacf68f8cf6d871fef6d93 d5d414ccb26bb5523f6a76a1e9956d7df00fa254 Aaron Lifton <theflubba@gmail.com> 1365467038 -0400	update by push
+d5d414ccb26bb5523f6a76a1e9956d7df00fa254 7aeb69d637137f56951f0ecba5647011d8099e2c Aaron Lifton <theflubba@gmail.com> 1365515897 -0400	update by push
+7aeb69d637137f56951f0ecba5647011d8099e2c cb38a56781b4f5a55de3cf474acba89736f6460e Aaron Lifton <theflubba@gmail.com> 1365517589 -0400	update by push
+cb38a56781b4f5a55de3cf474acba89736f6460e 9c56228a1acaf00971e4eedebe75a7420d76f60d Aaron Lifton <theflubba@gmail.com> 1365517676 -0400	update by push
+9c56228a1acaf00971e4eedebe75a7420d76f60d 51d1bfb2aa36aae8389da34e015d18c3c930bb29 Aaron Lifton <theflubba@gmail.com> 1365521809 -0400	update by push
+51d1bfb2aa36aae8389da34e015d18c3c930bb29 03310eee765fda3c8f4d7cbf9789e73def69730e Aaron Lifton <theflubba@gmail.com> 1365531502 -0400	update by push
+03310eee765fda3c8f4d7cbf9789e73def69730e 5ec6cdaa063c310198aed278da041019d6001d7f Aaron Lifton <theflubba@gmail.com> 1365532998 -0400	update by push
+5ec6cdaa063c310198aed278da041019d6001d7f 01c7a19a9091d55a741f0e27bd2684e7f33d08f5 Aaron Lifton <theflubba@gmail.com> 1365537775 -0400	update by push
+01c7a19a9091d55a741f0e27bd2684e7f33d08f5 2c40671f4d341426bd69d3b6c761bb1fb12dcc63 Aaron Lifton <theflubba@gmail.com> 1365538531 -0400	update by push
+2c40671f4d341426bd69d3b6c761bb1fb12dcc63 f1b81a6f89bc3c958ffa4abb59bf59d503499db6 Aaron Lifton <theflubba@gmail.com> 1365555899 -0400	update by push
+f1b81a6f89bc3c958ffa4abb59bf59d503499db6 83b6e82f2ede1d29a3f6bd63edd37561324e2e2b Aaron Lifton <theflubba@gmail.com> 1365556719 -0400	update by push
+83b6e82f2ede1d29a3f6bd63edd37561324e2e2b 11c57b43200bdbd9f8fa61b3418e30e54ee9d601 Aaron Lifton <theflubba@gmail.com> 1365560764 -0400	update by push
+11c57b43200bdbd9f8fa61b3418e30e54ee9d601 9f661b78df9328d15eaff8ed1f4a1cc648aef99e Aaron Lifton <theflubba@gmail.com> 1365601972 -0400	update by push
+9f661b78df9328d15eaff8ed1f4a1cc648aef99e 4fbc0c01059665881c1be54e41dbce1f4d8b778d Aaron Lifton <theflubba@gmail.com> 1365604249 -0400	update by push
+4fbc0c01059665881c1be54e41dbce1f4d8b778d c956159fa651f258a74bf3cf7290d7a608808a23 Aaron Lifton <theflubba@gmail.com> 1365604656 -0400	update by push
+c956159fa651f258a74bf3cf7290d7a608808a23 ff1c451db4375322f094513ce4d9b3172ef8e386 Aaron Lifton <theflubba@gmail.com> 1365622133 -0400	update by push
+ff1c451db4375322f094513ce4d9b3172ef8e386 52ff8ba02a57f3f3e25321719568d15cb27b7e29 Aaron Lifton <theflubba@gmail.com> 1365646494 -0400	update by push

File .git/logs/refs/stash

+0000000000000000000000000000000000000000 49ab8c6fa1a9f6c642a0520afdec5967d17f3f4b Aaron Lifton <theflubba@gmail.com> 1365453148 -0400	WIP on master: 5086bc8 commit
+49ab8c6fa1a9f6c642a0520afdec5967d17f3f4b f4bf201796da6d19a5e14397c9e0d79da6ea542c Aaron Lifton <theflubba@gmail.com> 1365527334 -0400	WIP on master: 51d1bfb commit
+f4bf201796da6d19a5e14397c9e0d79da6ea542c f1c7ff7d6683c734800a768296bdf95ee39bd962 Aaron Lifton <theflubba@gmail.com> 1365661051 -0400	WIP on master: ae84daf idea

File .git/objects/.DS_Store

Binary file added.

File .git/objects/01/4a29d58c89e4a1d319008844e413f809d572d3

Binary file added.

File .git/objects/01/505feeeeea729564c949cf90965808945b4e4a

Binary file added.

File .git/objects/01/c7a19a9091d55a741f0e27bd2684e7f33d08f5

Binary file added.

File .git/objects/02/f5faa4d4c50bcf9a2a5511000689c61bf94ac9

Binary file added.

File .git/objects/03/310eee765fda3c8f4d7cbf9789e73def69730e

Binary file added.

File .git/objects/03/7d6f1ce1de36e2864204e707ad234672e4fc8b

Binary file added.

File .git/objects/05/b26dd16f83e76c49057d628752a6ef66c6d0f1

Binary file added.

File .git/objects/07/0de8cf3ae9ca925da6dbf1dfeff04ae03bd28f

Binary file added.

File .git/objects/07/c3e9e3e06fd013170101f756ae93b4a36b35d6

Binary file added.

File .git/objects/08/bd0fb0617f629416d2337f97c5d7cc41ddd3d4

Binary file added.

File .git/objects/0a/4098ee8bb64a1cc5196f68464de74c927efbb2

Binary file added.

File .git/objects/0c/5c1f29c5c0c47b66f0afc3aa21966995a650dc

Binary file added.

File .git/objects/0d/adb42a79176a22badef34e1f974530a9e8f4c8

Binary file added.

File .git/objects/0d/ce79c3315449d00551d69dd60fe69a0a769760

Binary file added.

File .git/objects/0e/15f2654c7c58a80a11b5ef7ff79f37e31c87b6

Binary file added.

File .git/objects/0e/4a55f1ba925c81b100b93d5ddccdbbdcbc117c

Binary file added.

File .git/objects/0f/4333a0c8a92b1eba1e7032592ae3f960e660cc

Binary file added.

File .git/objects/11/13a0a3800afe8d0a8b0a07d9c0dcdc2c0e9f8a

Binary file added.

File .git/objects/11/c57b43200bdbd9f8fa61b3418e30e54ee9d601

Binary file added.

File .git/objects/11/c8a2442ba42069b43c849b8f1b388199e114d0

Binary file added.

File .git/objects/15/7aa4d5720c95bbfabdcd6c8d4e39f03dd33619

Binary file added.

File .git/objects/15/fd6373ef8823de006a53be3ff70900022e7807

Binary file added.

File .git/objects/16/09759e3b43eda0b41a623025a3fb8c82e79787

Binary file added.

File .git/objects/17/5c3c2f29e56f8fd058f271424fdc9f7d8dc5bd

Binary file added.

File .git/objects/17/99f1f3350874c5bdffb345940b40c9301d9f86

Binary file added.

File .git/objects/18/b09b4e68f9d6efed3489ea963d53272f2ed22d

Binary file added.

File .git/objects/19/6997b61fb5a3dc829bed55e111b9bf4c20758f

Binary file added.

File .git/objects/19/6ba6314faf1036349146fd0f58acc7ee8dd303

Binary file added.

File .git/objects/1a/66047d847da40d5cd6232bbaedc574e429c90d

Binary file added.

File .git/objects/1a/fe492fbd9a1ed554453a47cf7d640d2f9a7e14

Binary file added.

File .git/objects/1b/564a91f193ccdd0fa94227b02ce334aff4f01a

Binary file added.

File .git/objects/1c/dce9e77837a5e483a508e72e8080c6c3374549

Binary file added.

File .git/objects/1d/05f11e6ffd7b8e81e4815c7542dce016d276a2

Binary file added.

File .git/objects/1e/6d395918795cb4db33bfa55d94a6c0197c2ab8

Binary file added.

File .git/objects/1e/6f3674b2ef148e9f93d7b341bb86a53daf440a

Binary file added.

File .git/objects/1e/de3dae0357d65ec7e921877eb85eaa973e6cb4

Binary file added.

File .git/objects/1f/8e1d9327e2bbf14a876b2d26b50e98a4b7a4a6

Binary file added.

File .git/objects/1f/e6f956f7b296ab2f7cbe458b5f2d7849606ef8

Binary file added.

File .git/objects/1f/f8bde120e600c462eb62cc6fdd89305e027e98

Binary file added.

File .git/objects/1f/feb8a6370fb81eaee0da5af43f291927aa50f6

Binary file added.

File .git/objects/20/274dc8a7fad1e806d6aefa548d917d414ce1a5

Binary file added.

File .git/objects/20/adef6178a4def814cef7c257c8cfabd8b91be8

Binary file added.

File .git/objects/22/d8960197bdf1481c17398728ce5c0133122f94

Binary file added.

File .git/objects/23/3d127db687bb048180d282fc2df073e4e8ee65

+xUP�n�0�|��s^�K"�^���J�s�
+|��=�(�%.�?��

File .git/objects/23/4940d2f449e09ddca04eb314d2eda6f86a229b

File .git/objects/23/b298816d57c42c895653fd94542426033bd58d

Binary file added.

File .git/objects/23/da072098483a03487bfba346552e883bc1c7b8

Binary file added.

File .git/objects/24/01ba99e77fac123d32a050e3bbd76be0ec71fe

Binary file added.

File .git/objects/24/21ce6dca56cfc9dd7fa93ee739414ba2dbe462

Binary file added.

File .git/objects/24/3556513fc4cc3507a68e158d3b642e3dce123b

Binary file added.

File .git/objects/26/6825293123925612d642f9adf82ee02da01c48

Binary file added.

File .git/objects/27/abe2e54bce2cc7dbe863286403df68ce887013

Binary file added.

File .git/objects/28/63957d4b3c6301d52ebe14dcad1c4c5c44988c

Binary file added.

File .git/objects/28/7e78ef5dade11b788989385d1479cb0d1df82f

Binary file added.

File .git/objects/2a/5de608edec60bafae62b099f415746ae4652f4

Binary file added.

File .git/objects/2a/cba9b4cf931cf8b7a26fc42f6fc87360a825df

Binary file added.

File .git/objects/2b/e7b29c7f8ecadd98995421f4d942579ef9ced4

Binary file added.

File .git/objects/2c/40671f4d341426bd69d3b6c761bb1fb12dcc63

+x��K
+�0@]���2�O�����$���HH�o��Ճ^i�
+�C���K L� a���C6!W3E�A���+��ܺ~Po�~.2\����s��k��})m�i���6z��

File .git/objects/2e/df006b2f82c19eb4f22584742326fd2ab83d8d

Binary file added.

File .git/objects/2f/8dcc899a87fe15e9dac3d8734e79630856e6e2

Binary file added.

File .git/objects/2f/c5842b929a183e903cd94a77127b2b94d91a2c

+x��Kn�0

File .git/objects/30/e007294aa910737c17fbeb00ec6e0039334cfc

Binary file added.

File .git/objects/32/51bafb93dfb3b79c07800cbb2ea1cbb1991d1f

Binary file added.

File .git/objects/33/891747312d660c5dcd2134e9f1e6c72faf8a5c

Binary file added.

File .git/objects/34/4cc9dbd55bed0019b34c53ed93026973e79d7e

Binary file added.

File .git/objects/34/a92ec88e86bafd2378677bdd31448543fdfa63

Binary file added.

File .git/objects/35/600a8ab2af50c21db72a17b38250097ed2ceb2

Binary file added.

File .git/objects/35/7775fc0b633195af4d4792c06152cfa69e92f2

Binary file added.

File .git/objects/36/51f4429c6acbd790f5da8069f710ed2f8cdc18

Binary file added.

File .git/objects/36/c459199706c99723de8670772037b1c21ec55f

Binary file added.

File .git/objects/37/0d41e6b69f6ffaaddffc929ddefacad065d94c

Binary file added.

File .git/objects/38/afdac13cb5cae5dcca3bfcd67bf5e9d2190248

Binary file added.

File .git/objects/39/103168b6aee08a83751f98c4c799e75cbe0351

Binary file added.

File .git/objects/39/909458db52bd02f763f228aa53e4ca4009edb6

Binary file added.

File .git/objects/39/c3d27ff342c4e892e9a61a930e407dc25050f2

Binary file added.

File .git/objects/3a/4eb47fe906a02967ffe36f0fbf9d191f41202f

Binary file added.

File .git/objects/3b/7b9515d73774ee6531c7db55a2a262fd04de06

Binary file added.

File .git/objects/3c/5dce0d630ab2c9c7100c824dcb419cabde88b5

Binary file added.

File .git/objects/3c/b8f11afc381ef66ecef91150370f754d120759

Binary file added.

File .git/objects/3c/efbc58f23ac72a46d84755f62feb4ef8036882

Binary file added.

File .git/objects/3d/32ba7c7a3c4ca2cbe21adb3c56a3d924087168

Binary file added.

File .git/objects/3d/7225b8aacc99bfa9f5bc26318644545fa7f365

Binary file added.

File .git/objects/40/65187b01272eef80f21691f527216b179d975d

Binary file added.

File .git/objects/40/9c0e0ed4da16e24863db8e37ce90b468d9f287

Binary file added.

File .git/objects/40/f010b38a48f821c913a01fa76f42e8d5d4e9a7

Binary file added.

File .git/objects/41/220519243415d595b4bd6663745537f004d44d

Binary file added.

File .git/objects/41/c50ec9e4a98651e6004ef83e28acacfd7a4fdb

Binary file added.

File .git/objects/42/f6c4d12991d40de9990b50d4fdd3c9fd7270d5

Binary file added.

File .git/objects/43/1d4c1d2e3eb1c6191192f5b46d8c4a53094595

Binary file added.

File .git/objects/43/413a4bdef88076a8e79c25b510ffcac9df9611

Binary file added.

File .git/objects/44/dba1970ff18a1d95047bd6248983f831179c93

Binary file added.

File .git/objects/45/3c7f84998d6b4eb60832bb9835d81b214d15d4

Binary file added.

File .git/objects/45/4b81b3d842d6a99f82329eae1ee9f40574cfc1

Binary file added.

File .git/objects/46/2515135169f04d1a981bb684f72af6edc0d8c2

Binary file added.

File .git/objects/46/62d3466895c828b152e2ac8db5d2431a66f75a

Binary file added.

File .git/objects/46/6c04077cd1d921b8cacf68f8cf6d871fef6d93

+x��A
+�0E]����I&�)���KL��-�VJz���
+K��`J�U�‘��#���"��ُ��  Ce�5"�

File .git/objects/46/e973408abf2cd50fe5c28a65d54e537289d788

Binary file added.

File .git/objects/47/0519c20703aeb889ad210369ae220fe380080d

Binary file added.

File .git/objects/47/175e7047a322649aab52ade3bcb158d2e5603a

Binary file added.

File .git/objects/47/20571ad93da807b16ec77750032770a4662a67

Binary file added.

File .git/objects/47/3e12ea244819bc8892649ac14cd5ba549c14f4

Binary file added.

File .git/objects/48/1c66c85bc9cbd1586ddf795e631ffa6a0aaca0

+xUP�n�0�|��s^�%P/UOm%�\�x�

File .git/objects/48/2ff95332e55cc0f5d3dd4fccb20bbebf68999c

Binary file added.

File .git/objects/48/afd91ccf10aeb097248ddd48993be5b14887e8

Binary file added.

File .git/objects/49/74a5e3b569f4fb30169be0eadb6debdb23dbb5

Binary file added.

File .git/objects/49/99527623a0f733c6064dae1196b81a82cd6789

Binary file added.

File .git/objects/49/ab8c6fa1a9f6c642a0520afdec5967d17f3f4b

Binary file added.

File .git/objects/4a/181770b63b885a22ae1def1671e4511b53fe36

Binary file added.

File .git/objects/4b/47268fe2d2a100f6a0b15902b8c2c824c4c159

Binary file added.

File .git/objects/4b/d50e3480bec21ef51c8463298d3f487d4747c3

Binary file added.

File .git/objects/4c/73ee2922559c16096f3b66524f2823b0524736

Binary file added.

File .git/objects/4c/b609195c23b2cbf42b66630255e22cdb464d07

Binary file added.

File .git/objects/4c/c0ca35b3d742dfe99cf88f6bb31488dff5aa11

Binary file added.

File .git/objects/4d/94ff6536b509263fb4c654f221161d01ad236d

Binary file added.

File .git/objects/4d/a6f7236b04e55f950879ff2ffd31e2d2f3d733

Binary file added.

File .git/objects/4d/d30abea0d12773204b161966e37b62e51ce14c

Binary file added.

File .git/objects/4d/dacb96a28e2afed9e67c020a48fd0c1daea0cf

Binary file added.

File .git/objects/4e/ce448810348ea2c71167514aaa1342aa7637c0

Binary file added.

File .git/objects/4f/5234a60882c65e82cef92277d0e041eb368550

Binary file added.

File .git/objects/4f/bc0c01059665881c1be54e41dbce1f4d8b778d

+x��M
+�0F]�����N3 �{/1Ifl�6����'p���=�rݶ�k���7f�)p
+�0 �f� F�`�h%Xg��5޻F�i�EлX��$�

File .git/objects/4f/eab12822a1db6d3649364cd2cb87afd9ea2828

Binary file added.

File .git/objects/50/86bc81ee1d670b655815fecd3de517f997fb3d

Binary file added.

File .git/objects/50/89fabdffa8d058e09f7a3a826d4552d59f0729

Binary file added.

File .git/objects/50/b6625b3856a72192435ab41a94dfb1098b7cd5

Binary file added.

File .git/objects/51/d1bfb2aa36aae8389da34e015d18c3c930bb29

Binary file added.

File .git/objects/51/ef3b2b076ecd98817d8ef23bc68bc04f96e07e

Binary file added.

File .git/objects/52/2bafe6f765e0a7a6210c0ea2870dbee004eea6

Binary file added.

File .git/objects/52/45ce3644d0ed918e37a807ee7dc4793c266081

+xUP�n�0�|��s^���R��V���o����M_�B����ٝ���-�M��ա�l������
+|��{`Q\c\&�N��

File .git/objects/52/ff8ba02a57f3f3e25321719568d15cb27b7e29

+x��K!]s
+.��a 1F�^�O�3�
+!��@/��x'�1���#�����c�u���#�xո�/�՛��C�^ɳB�Ĵ����_.��F,

File .git/objects/53/60b8a24332a1fc42276992dc284833ec3dcb09

Binary file added.

File .git/objects/53/ac03bf3f60b5b986088d16accf3628a5dff4b6

Binary file added.

File .git/objects/54/2e208a804be5f42dbf74697c1f3b3443d5ea87

Binary file added.

File .git/objects/55/80ffc9d03b5c1d088593b28fc43cb8cea7ad54

Binary file added.

File .git/objects/56/515dca53256cfe4b024459c5173e1757cc210f

Binary file added.

File .git/objects/56/58ce6acb8f2fd2a9a793b4f07149d51eff140e

Binary file added.

File .git/objects/56/f68169938fadecbc3c6c5186fa1e9403b795f6

Binary file added.

File .git/objects/59/3f4708db84ac8fd0f5cc47c634f38c013fe9e4

Binary file added.

File .git/objects/59/8a3767f24640df82c76fbfa7ce17fab8d6c7f1

+x��Qj1

File .git/objects/5c/f377483959aa299ffed6256e51ae9b6adbca7e

Binary file added.

File .git/objects/5d/8cb8f18a4c87d72d709d8f9f2eab6d7e692b47

Binary file added.

File .git/objects/5e/5169ec989217296d408ef9f944536c56187178

Binary file added.

File .git/objects/5e/5eb3bcbddc210bc69954b97aa193cdf018e576

Binary file added.

File .git/objects/5e/c6cdaa063c310198aed278da041019d6001d7f

Binary file added.

File .git/objects/61/9825151fee88bb71c6aea51739fe4056953042

Binary file added.

File .git/objects/62/38033671c9b41aa42633373bb10052931ae316

Binary file added.